using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsMonitoringPointHistory15min {
        //15분 관제점 데이터
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "설비종류"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "설비코드"), Key]
        public int FacilityCode { get; set; }
        [Display(Name = "설비속성고유번호"), Key]
        public int PropertyId { get; set; }
        [Display(Name = "데이터 생성시간"), Key]
        [Column(TypeName = "datetime")]
        public DateTime CreatedDateTime { get; set; }
        [Display(Name = "현재값"), Required]
        public double CurrentValue { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }

        [ForeignKey("SiteId,FacilityCode,PropertyId")]
        public virtual BemsMonitoringPoint BemsMonitoringPoint { get; set; }
        [ForeignKey("FacilityTypeId")]
        public virtual BemsFacilityType FacilityType { get; set; }

        [ForeignKey("SiteId,FacilityCode,PropertyId")]
        public virtual FmsAlarmPoint FmsAlarmPoint { get; set; }
    }
}
